<%= form_for @changeset, @action, fn f -> %>
  <%= if @changeset.action do %>
    <div class="alert alert-danger">
      <p>Oops, something went wrong! Please check the errors below.</p>
    </div>
  <% end %>

  <%= label f, :title %>
  <%= text_input f, :title, class: "form-input" %>
  <%= error_tag f, :title %><br>

  <%= label f, :body %>
  <%= textarea f, :body, class: "form-input" %>
  <%= error_tag f, :body %><br>

  <%= label f, :tag %>
  <select id="tag_id" name="tags[id]" class="form-input">
    <%= for tag <- @tags do %>
    <option value="<%= tag.id %>"><%= tag.name %></option>
    <% end %>
  </select>

  

  <br><div>
    <%= submit "Save", class: "btn" %>
  </div>
<% end %>
